Aufgaben
Aufgaben mit Personen- und Organisationszuordnungen erstellen und verwalten.
Aufgaben durchsuchen
Authorization
bearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/tasks/tasks"{
"data": [
{
"_tenantID": "string",
"_id": "string",
"_personID": "string",
"_organizationID": "string",
"_dealID": "string",
"_userID": "string",
"name": "string",
"description": "string",
"priority": "string",
"dueDate": 0,
"startDate": 0,
"completionDate": 0,
"createdAt": 0,
"updatedAt": 0
}
],
"limit": 25,
"offset": 0
}Aufgabe hinzufügen
Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
_id*string
The ID of the task
_userID?string
The related user
_personID?string
The related person
_organizationID?string
The related organization
_dealID?string
The related deal
name?string
Name of the task
description?string
Description of the task
priority?string
Priority of the task
dueDate?number
Due date of the task
startDate?number
Start date of the task
completionDate?number
Completion date of the task
createdAt?number
Creation timestamp
updatedAt?number
Last update timestamp
Response Body
curl -X POST "https://samdock.app/api/tasks/tasks" \ -H "Content-Type: application/json" \ -d '{ "_id": "string" }'Empty
Aufgaben nach Personen-ID durchsuchen
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
personID*string
Response Body
application/json
curl -X GET "https://samdock.app/api/tasks/tasks/persons/string"{
"data": [
{
"_tenantID": "string",
"_id": "string",
"_personID": "string",
"_organizationID": "string",
"_dealID": "string",
"_userID": "string",
"name": "string",
"description": "string",
"priority": "string",
"dueDate": 0,
"startDate": 0,
"completionDate": 0,
"createdAt": 0,
"updatedAt": 0
}
],
"limit": 25,
"offset": 0
}Aufgaben nach Organisations-ID durchsuchen
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
organizationID*string
Response Body
application/json
curl -X GET "https://samdock.app/api/tasks/tasks/organizations/string"{
"data": [
{
"_tenantID": "string",
"_id": "string",
"_personID": "string",
"_organizationID": "string",
"_dealID": "string",
"_userID": "string",
"name": "string",
"description": "string",
"priority": "string",
"dueDate": 0,
"startDate": 0,
"completionDate": 0,
"createdAt": 0,
"updatedAt": 0
}
],
"limit": 25,
"offset": 0
}Aufgabe lesen
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
curl -X GET "https://samdock.app/api/tasks/tasks/string"{
"_tenantID": "string",
"_id": "string",
"_personID": "string",
"_organizationID": "string",
"_dealID": "string",
"_userID": "string",
"name": "string",
"description": "string",
"priority": "string",
"dueDate": 0,
"startDate": 0,
"completionDate": 0,
"createdAt": 0,
"updatedAt": 0
}Aufgabe bearbeiten
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
curl -X PATCH "https://samdock.app/api/tasks/tasks/string"Empty
Aufgabe löschen
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
curl -X DELETE "https://samdock.app/api/tasks/tasks/string"Empty